import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SampleBase } from './sample-base';
import { TreeViewComponent } from '@syncfusion/ej2-react-navigations';

// import * as dataSource from './dataSource.json';
const dataSource = [{
  portfolio: {
    name: 'portfolio name',
    shape: 'circle'
  },
  time: '11pm'
},{
  portfolio: {
    name: 'bob',
    shape: 'square'
  },
  time: '12am'
},{
  portfolio: {
    name: 'red',
    shape: 'triangle'
  },
  time: '1 time'
}]
export const Template = () => {
    const nodeTemplate = (data) => {
      console.log(data);
        return (<div>
            <div className="treeviewdiv">
                <p className="treeName">{data.portfolio.name}</p>
              
              <div>
                <p>{data.portfolio.shape}</p>
              </div>
              <p>{data.time}</p>
            </div>
          </div>);
    }
    ;
    const onDragStop = (args) => {
      let draggingItem = document.getElementsByClassName("e-drop-in");
      if(draggingItem.length == 1) {
        draggingItem[0].classList.add('e-no-drop');
        args.cancel = true;
      }
    }
    
        return (<div className='control-pane'>
        <div className='control-section'>
        <div className='tree-control-wrapper'>
          
            <TreeViewComponent fields={{dataSource: dataSource, id: 'time', text: 'portfolio.name'}} nodeTemplate={nodeTemplate} cssClass="template-tree" allowDragAndDrop={true} nodeDragging={onDragStop} nodeDragStop={onDragStop}/>
        </div>
        </div>
      </div>);
    
}

render(<Template />, document.getElementById('sample'));